{{page-title (capitalize (t 'integrations'))}}

<div class='container'>

  <div class='row'>
    <div class='col'>
      <h1>{{t (capitalize (t 'integrations'))}}</h1>
    </div>
  </div>

  <div class='row mt-5'>
    <div class='col'>
      <h3>Nominatim</h3>
    </div>
  </div>

  <div class='row'>
    <div class='col'>
      <label for='nominatim-key' class='form-label'>{{t
          'Nominatim url'
        }}</label>
      <Input
        id='nominatim-key'
        class='form-control input-nominatim'
        @value={{@model.nominatim.value}}
        disabled={{this.isSaving}}
      />
      <div class='form-text'><MarkDown
          @value={{t 'nominatim-url-info'}}
        /></div>
    </div>
  </div>

  <hr />

  <div class='row'>
    <div class='col'>
      <h3>Google</h3>
    </div>
  </div>

  <div class='row'>
    <div class='col'>
      <label for='input-google-client-id' class='form-label'>Client Id</label>
      <Input
        id='input-google-client-id'
        class='form-control input-google-client-id'
        @value={{@model.googleclient_id.value}}
        disabled={{this.isSaving}}
      />
    </div>
    <div class='col'>
      <label for='input-google-client-secret' class='form-label'>Client Secret</label>
      <Input
        id='input-google-client-secret'
        class='form-control input-google-client-secret'
        @value={{@model.googleclient_secret.value}}
        disabled={{this.isSaving}}
      />
    </div>
  </div>
  <hr />

  <div class='row'>
    <div class='col'>
      <h3>Slack</h3>
    </div>
  </div>
  <div class='row'>
    <div class='col'>
      <label for='input-slack-webhook' class='form-label'>Slack webhook</label>
      <Input
        id='input-slack-webhook'
        class='form-control input-slack-webhook'
        @value={{@model.slackwebhook.value}}
        disabled={{this.isSaving}}
      />
    </div>
  </div>

  <div class='row mt-3 mb-4'>
    <div class='col'>
      <Input::Button
        class='btn btn-primary'
        @disabled={{this.isDisabled}}
        @action={{this.save}}
      >
        {{capitalize (t 'save')}}
      </Input::Button>
    </div>
  </div>

</div>